View Issue Details

IDProjectCategoryView StatusLast Update
0012139LazarusIDEpublic2013-09-03 12:07
ReporterJonas SchäferAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.24Product Build 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0012139: Code folding for classes
DescriptionI don't know if someone reported it already, but how about code folding for classes? Either collapse a whole class or even make it finer so that you can collapse every visbility section...

greetings
Tagscode folding
Fixed in Revision18015
LazTarget1.4
Widgetset
Attached Files

Activities

Martin Friebe

2009-01-01 19:28

manager   ~0024091

Please close if ok

Jonas Schäfer

2009-01-31 18:41

reporter   ~0024938

Sorry for late reaction, I was a bit busy.
Nice, thanks for implementation. It is exactly what I imagined :)

Issue History

Date Modified Username Field Change
2008-09-13 17:21 Jonas Schäfer New Issue
2008-09-14 20:21 Vincent Snijders LazTarget => post 1.2
2008-09-14 20:21 Vincent Snijders Status new => acknowledged
2008-09-14 20:22 Vincent Snijders Tag Attached: code folding
2008-11-18 02:33 Martin Friebe Status acknowledged => assigned
2008-11-18 02:33 Martin Friebe Assigned To => Martin Friebe
2009-01-01 19:28 Martin Friebe Fixed in Revision => 18015
2009-01-01 19:28 Martin Friebe Status assigned => resolved
2009-01-01 19:28 Martin Friebe Fixed in Version => 0.9.27 (SVN)
2009-01-01 19:28 Martin Friebe Resolution open => fixed
2009-01-01 19:28 Martin Friebe Note Added: 0024091
2009-01-01 19:28 Martin Friebe Target Version => 0.9.28
2009-01-31 18:41 Jonas Schäfer Status resolved => closed
2009-01-31 18:41 Jonas Schäfer Note Added: 0024938
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4